Debian Bug report logs - #580582
Chromium keeps prompting about default browser setting

version graph

Package: chromium-browser; Maintainer for chromium-browser is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium-browser is src:chromium-browser.

Reported by: Andrea De Iacovo <andrea.de.iacovo@gmail.com>

Date: Thu, 6 May 2010 22:24:28 UTC

Severity: normal

Merged with 581345

Found in versions chromium-browser/5.0.375.29~r46008-3, chromium-browser/5.0.375.70~r48679-2, chromium-browser/5.0.375.70~r48679-1, chromium-browser/5.0.375.29~r46008-1, chromium-browser/5.0.375.86~r49890-2

Fixed in versions chromium-browser/5.0.375.86~r49890-1, chromium-browser/5.0.375.86~r49890-4

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, andrea.de.iacovo@gmail.com, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Thu, 06 May 2010 22:24:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea De Iacovo <andrea.de.iacovo@gmail.com>:
New Bug report received and forwarded. Copy sent to andrea.de.iacovo@gmail.com, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 06 May 2010 22:24:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrea De Iacovo <andrea.de.iacovo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Chromium keeps prompting about default browser setting
Date: Fri, 07 May 2010 00:22:44 +0200
Package: chromium-browser
Version: 5.0.375.29~r46008-1
Severity: normal
Tags: experimental

Everytime chromium starts it asks the user to become the default browser
even if it already is.

Regards.

Andrea De Iacovo


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (600, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages chromium-browser depends on:
ii  chromium-browser-ins 5.0.375.29~r46008-1 page inspector for the chromium-br
ii  libasound2           1.0.22-2            shared library for ALSA applicatio
ii  libatk1.0-0          1.30.0-1            The ATK accessibility toolkit
ii  libbz2-1.0           1.0.5-4             high-quality block-sorting file co
ii  libc6                2.10.2-7            Embedded GNU C Library: Shared lib
ii  libcairo2            1.8.10-4            The Cairo 2D vector graphics libra
ii  libdbus-1-3          1.2.24-1            simple interprocess messaging syst
ii  libdbus-glib-1-2     0.86-1              simple interprocess messaging syst
ii  libevent-1.4-2       1.4.13-stable-1     An asynchronous event notification
ii  libexpat1            2.0.1-7             XML parsing C library - runtime li
ii  libfontconfig1       2.8.0-2.1           generic font configuration library
ii  libfreetype6         2.3.11-1            FreeType 2 font engine, shared lib
ii  libgcc1              1:4.4.4-1           GCC support library
ii  libgconf2-4          2.28.1-3            GNOME configuration database syste
ii  libglib2.0-0         2.24.1-1            The GLib library of C routines
ii  libgtk2.0-0          2.20.1-1            The GTK+ graphical user interface 
ii  libjpeg62            6b-16.1             The Independent JPEG Group's JPEG 
ii  libnspr4-0d          4.8.4-1             NetScape Portable Runtime Library
ii  libnss3-1d           3.12.6-2            Network Security Service libraries
ii  libpango1.0-0        1.28.0-1            Layout and rendering of internatio
ii  libpng12-0           1.2.43-1            PNG library - runtime
ii  libstdc++6           4.4.4-1             The GNU Standard C++ Library v3
ii  libx11-6             2:1.3.3-3           X11 client-side library
ii  libxext6             2:1.1.1-3           X11 miscellaneous extension librar
ii  libxml2              2.7.7.dfsg-2        GNOME XML library
ii  libxrender1          1:0.9.5-2           X Rendering Extension client libra
ii  libxslt1.1           1.1.26-3            XSLT processing library - runtime 
ii  libxss1              1:1.2.0-2           X11 Screen Saver extension library
ii  lzma                 4.43-14             Compression method of 7z format in
ii  xdg-utils            1.0.2+cvs20100307-1 desktop integration utilities from
ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime

chromium-browser recommends no packages.

Versions of packages chromium-browser suggests:
ii  chromium-browser-l10 5.0.375.29~r46008-1 chromium-browser language packages

-- no debconf information




Merged 580582 581345. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Thu, 13 May 2010 22:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 23 May 2010 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 23 May 2010 03:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 580582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Andrea De Iacovo <andrea.de.iacovo@gmail.com>, Sam Morris <sam@robots.org.uk>
Cc: 580582@bugs.debian.org
Subject: Re: Chromium keeps prompting about default browser setting
Date: Sat, 22 May 2010 22:16:45 -0500
Hi Andrea and Sam,

Andrea De Iacovo wrote:

> Everytime chromium starts it asks the user to become the default browser
> even if it already is.

I don’t have GNOME installed, so I tried reproducing this with

 GNOME_DESKTOP_SESSION_ID=1 chromium-browser

Indeed, the panel at the top appeared:

 Chromium isn't your default browser.     [Set as default] [Don't ask again]

When I chose either, the problem went away and that panel did not appear
next time.  So, two questions:

1. Does choosing “Don't ask again” work as a workaround?

   This modifies the check_default_browser setting in
   ~/.config/chromium/Default/Preferences, so if it doesn’t work, it
   might also be interesting to try modifying that directly.

2. What does your

     ~/.gconf/desktop/gnome/applications/browser/%gconf.xml

   say?

Thanks in advance,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 23 May 2010 11:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 23 May 2010 11:39:05 GMT) Full text and rfc822 format available.

Message #17 received at 580582@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Andrea De Iacovo <andrea.de.iacovo@gmail.com>, 580582@bugs.debian.org
Subject: Re: Chromium keeps prompting about default browser setting
Date: Sun, 23 May 2010 12:34:37 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-05-22 at 22:16 -0500, Jonathan Nieder wrote:
> Hi Andrea and Sam,
> 
> Andrea De Iacovo wrote:
> 
> > Everytime chromium starts it asks the user to become the default browser
> > even if it already is.
> 
> I don’t have GNOME installed, so I tried reproducing this with
> 
>  GNOME_DESKTOP_SESSION_ID=1 chromium-browser
> 
> Indeed, the panel at the top appeared:
> 
>  Chromium isn't your default browser.     [Set as default] [Don't ask again]
> 
> When I chose either, the problem went away and that panel did not appear
> next time.  So, two questions:
> 
> 1. Does choosing “Don't ask again” work as a workaround?
> 
>    This modifies the check_default_browser setting in
>    ~/.config/chromium/Default/Preferences, so if it doesn’t work, it
>    might also be interesting to try modifying that directly.

That works fine. The 'Default Browser' section of the 'Basics' tab in
the Options dialog box still warms about Chromium not being the default
browser, however.

> 2. What does your
> 
>      ~/.gconf/desktop/gnome/applications/browser/%gconf.xml
> 
>    say?

$ gconftool --dump /desktop/gnome/applications/browser
<gconfentryfile>
  <entrylist base="/desktop/gnome/applications/browser">
    <entry>
      <key>exec</key>
      <schema_key>/schemas/desktop/gnome/applications/browser/exec</schema_key>
      <value>
        <string>chromium-browser</string>
      </value>
    </entry>
    <entry>
      <key>needs_term</key>
      <schema_key>/schemas/desktop/gnome/applications/browser/needs_term</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
    <entry>
      <key>nremote</key>
      <schema_key>/schemas/desktop/gnome/applications/browser/nremote</schema_key>
      <value>
        <bool>false</bool>
      </value>
    </entry>
  </entrylist>
</gconfentryfile>

> Thanks in advance,
> Jonathan

-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) experimental. Request was from "Giuseppe Iuculano" <giuseppe@sd6-mobile.iuculano.it> to control@bugs.debian.org. (Thu, 10 Jun 2010 12:42:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions chromium-browser/5.0.375.70~r48679-1. Request was from "Giuseppe Iuculano" <giuseppe@sd6-mobile.iuculano.it> to control@bugs.debian.org. (Thu, 10 Jun 2010 12:42:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Thu, 10 Jun 2010 12:54:07 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Sun, 13 Jun 2010 21:54:05 GMT) Full text and rfc822 format available.

Notification sent to Andrea De Iacovo <andrea.de.iacovo@gmail.com>:
Bug acknowledged by developer. (Sun, 13 Jun 2010 21:54:06 GMT) Full text and rfc822 format available.

Message #28 received at 580582-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 580582-close@bugs.debian.org
Subject: Bug#580582: fixed in chromium-browser 5.0.375.70~r48679-2
Date: Sun, 13 Jun 2010 21:51:15 +0000
Source: chromium-browser
Source-Version: 5.0.375.70~r48679-2

We believe that the bug you reported is fixed in the latest version of
chromium-browser, which is due to be installed in the Debian FTP archive:

chromium-browser-dbg_5.0.375.70~r48679-2_amd64.deb
  to main/c/chromium-browser/chromium-browser-dbg_5.0.375.70~r48679-2_amd64.deb
chromium-browser-inspector_5.0.375.70~r48679-2_all.deb
  to main/c/chromium-browser/chromium-browser-inspector_5.0.375.70~r48679-2_all.deb
chromium-browser-l10n_5.0.375.70~r48679-2_all.deb
  to main/c/chromium-browser/chromium-browser-l10n_5.0.375.70~r48679-2_all.deb
chromium-browser_5.0.375.70~r48679-2.debian.tar.gz
  to main/c/chromium-browser/chromium-browser_5.0.375.70~r48679-2.debian.tar.gz
chromium-browser_5.0.375.70~r48679-2.dsc
  to main/c/chromium-browser/chromium-browser_5.0.375.70~r48679-2.dsc
chromium-browser_5.0.375.70~r48679-2_amd64.deb
  to main/c/chromium-browser/chromium-browser_5.0.375.70~r48679-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated chromium-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Jun 2010 22:23:59 +0200
Source: chromium-browser
Binary: chromium-browser chromium-browser-dbg chromium-browser-l10n chromium-browser-inspector
Architecture: source all amd64
Version: 5.0.375.70~r48679-2
Distribution: unstable
Urgency: low
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 chromium-browser - Chromium browser
 chromium-browser-dbg - chromium-browser debug symbols
 chromium-browser-inspector - page inspector for the chromium-browser
 chromium-browser-l10n - chromium-browser language packages
Closes: 580582 582709
Changes: 
 chromium-browser (5.0.375.70~r48679-2) unstable; urgency=low
 .
   [ Fabien Tassin ]
   * Accept 'stable' as value for $(CHANNEL)
     - update debian/rules
 .
   [ Giuseppe Iuculano ]
   * Use the full path in chromium-browser.xml, now Gnome's Preferred
     Applications doesn't get confused. (Closes: #580582)
   * debian/patches/protobuf.patch: Use system copy of libprotobuf
   * Added protobuf-compiler and libprotobuf-dev in Build-Depends
   * debian/patches/glew.patch: Use system copy of libglewmx (version with
     support for thread-safe usage of multiple rendering contexts)
   * Added libglewmx1.5-dev in Build-Depends
   * Removed Fabien and Alexander from Uploaders.
   * Updated VCS control fields
   * Fix an infinite recursion crash when trying to wrap media elements without
     a media player. (Closes: #582709)
Checksums-Sha1: 
 cac02508e0c3c1f32a6af3be714588bc04613871 2264 chromium-browser_5.0.375.70~r48679-2.dsc
 d8572bdf366466301aa3b0aa639a3cd9e1a4fada 209150 chromium-browser_5.0.375.70~r48679-2.debian.tar.gz
 750a621f0372629fc84696c6b515a5e9518fb33d 1976466 chromium-browser-l10n_5.0.375.70~r48679-2_all.deb
 c4fabb26a04dcca6298bdc23263834cc7ed820d8 889154 chromium-browser-inspector_5.0.375.70~r48679-2_all.deb
 be01bc60bb575f106a9097e9ea16c6dd4b1ad2bf 11056946 chromium-browser_5.0.375.70~r48679-2_amd64.deb
 1a3625d9895f40b4b8476d64c479890a98c7d6af 143700854 chromium-browser-dbg_5.0.375.70~r48679-2_amd64.deb
Checksums-Sha256: 
 b413046fcbeeef16d0ae365020633fa817e1d657348cdb7c981ea6fe71a45978 2264 chromium-browser_5.0.375.70~r48679-2.dsc
 69d8669cd63da14f143dd95d83bb4805a4dcfbaeee25cfb3fd0a41a34249e1a7 209150 chromium-browser_5.0.375.70~r48679-2.debian.tar.gz
 16a7e5513078d2cc97ededc7f4b20a8dc6d61f0d034cd2f9161fc66e14124537 1976466 chromium-browser-l10n_5.0.375.70~r48679-2_all.deb
 96b51e7dfb53488886c20eb985a0f8512af7baf9d845fddfd70dfdf9f07a3a82 889154 chromium-browser-inspector_5.0.375.70~r48679-2_all.deb
 fc7d41c75cb84a028a4ad61cb81417abed4ef3623b255202eb73b99fa677d2b4 11056946 chromium-browser_5.0.375.70~r48679-2_amd64.deb
 f189c148148ff833ecf5b3461706408e4836dcc30b10aa12dd7c841f742029c2 143700854 chromium-browser-dbg_5.0.375.70~r48679-2_amd64.deb
Files: 
 5038316d62ba3a7d2e6cd46af61ce613 2264 web optional chromium-browser_5.0.375.70~r48679-2.dsc
 429ccbc44c816aa90d482ec2d77548d6 209150 web optional chromium-browser_5.0.375.70~r48679-2.debian.tar.gz
 40cf540c1288a826eb252a9f977d67eb 1976466 web optional chromium-browser-l10n_5.0.375.70~r48679-2_all.deb
 d39b995074b8554882fd20ce3476308d 889154 web optional chromium-browser-inspector_5.0.375.70~r48679-2_all.deb
 2f1cb2db00837a7e28112b5e4065e4ae 11056946 web optional chromium-browser_5.0.375.70~r48679-2_amd64.deb
 8f4069f333278f01c0b4801a4746163e 143700854 debug extra chromium-browser-dbg_5.0.375.70~r48679-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwVUCoACgkQNxpp46476apqSACdF6uVm+Q0kQaJR0evtW9P5U/L
4SIAoJ03/Bocb8O7qOYVX16Z7PY1th0b
=2PRd
-----END PGP SIGNATURE-----





Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Sun, 13 Jun 2010 21:54:06 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Sun, 13 Jun 2010 21:54:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions chromium-browser/5.0.375.70~r48679-2; no longer marked as fixed in versions chromium-browser/5.0.375.70~r48679-2 and reopened. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Wed, 16 Jun 2010 18:45:15 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 25 Jun 2010 11:54:08 GMT) Full text and rfc822 format available.

Notification sent to Andrea De Iacovo <andrea.de.iacovo@gmail.com>:
Bug acknowledged by developer. (Fri, 25 Jun 2010 11:54:08 GMT) Full text and rfc822 format available.

Message #40 received at 580582-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 580582-close@bugs.debian.org
Subject: Bug#580582: fixed in chromium-browser 5.0.375.86~r49890-1
Date: Fri, 25 Jun 2010 11:51:12 +0000
Source: chromium-browser
Source-Version: 5.0.375.86~r49890-1

We believe that the bug you reported is fixed in the latest version of
chromium-browser, which is due to be installed in the Debian FTP archive:

chromium-browser-dbg_5.0.375.86~r49890-1_amd64.deb
  to main/c/chromium-browser/chromium-browser-dbg_5.0.375.86~r49890-1_amd64.deb
chromium-browser-inspector_5.0.375.86~r49890-1_all.deb
  to main/c/chromium-browser/chromium-browser-inspector_5.0.375.86~r49890-1_all.deb
chromium-browser-l10n_5.0.375.86~r49890-1_all.deb
  to main/c/chromium-browser/chromium-browser-l10n_5.0.375.86~r49890-1_all.deb
chromium-browser_5.0.375.86~r49890-1.debian.tar.gz
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-1.debian.tar.gz
chromium-browser_5.0.375.86~r49890-1.dsc
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-1.dsc
chromium-browser_5.0.375.86~r49890-1_amd64.deb
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-1_amd64.deb
chromium-browser_5.0.375.86~r49890.orig.tar.bz2
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated chromium-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jun 2010 10:15:35 +0200
Source: chromium-browser
Binary: chromium-browser chromium-browser-dbg chromium-browser-l10n chromium-browser-inspector
Architecture: source all amd64
Version: 5.0.375.86~r49890-1
Distribution: unstable
Urgency: low
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 chromium-browser - Chromium browser
 chromium-browser-dbg - chromium-browser debug symbols
 chromium-browser-inspector - page inspector for the chromium-browser
 chromium-browser-l10n - chromium-browser language packages
Closes: 580582 585801
Changes: 
 chromium-browser (5.0.375.86~r49890-1) unstable; urgency=low
 .
   [ Jonathan Nieder ]
   * Use dpkg-architecture directly instead of relying on
     dpkg-buildpackage to set DEB_*_ARCH variables.  Use
     DEB_HOST_ARCH_CPU instead of DEB_BUILD_ARCH to detect target CPU.
     (Closes: #585801)
 .
   [ Giuseppe Iuculano ]
   * New stable version, this release fixes the following security
     issues:
     - [38105] Medium XSS via application/json response (regression). Credit to
        Ben Davis for original discovery and Emanuele Gentili for regression
        discovery.
     - [43322] Medium Memory error in video handling. Credit to Mark Dowd under
        contract to Google Chrome Security Team.
     - [43967] High Subresource displayed in omnibox loading. Credit to Michal
        Zalewski of Google Security Team.
     - [45267] High Memory error in video handling. Credit to Google Chrome
       Security Team (Cris Neckar).
     - [46126] High Stale pointer in x509-user-cert response. Credit to Rodrigo
       Marcos of SECFORCE.
     - Drop the XLIB_SKIP_ARGB_VISUALS workaround as it creates regressions.
       See http://crbug.com/46439
   * Use /usr/bin/chromium-browser in chromium-browser.xml (Closes: #580582)
 .
   [ Fabien Tassin ]
   * Show in about:version when chromium is running on a different
     distribution that it has been built on
     - udpate debian/rules
     - rename and update debian/chromium-browser.sh => debian/chromium-browser.sh.in
Checksums-Sha1: 
 5a0e97e0b58020224436e3ddbe0856e26f2f7344 2264 chromium-browser_5.0.375.86~r49890-1.dsc
 37f659d22f8e3c0a3df8568f48041b9b3afbc86b 124919366 chromium-browser_5.0.375.86~r49890.orig.tar.bz2
 69f56fbfb1c04a2a85b6e52afecf4a2c4218d75b 209788 chromium-browser_5.0.375.86~r49890-1.debian.tar.gz
 1cbb69142dbef02ce051e5eda7864b2372c6d9df 1977114 chromium-browser-l10n_5.0.375.86~r49890-1_all.deb
 22250cf89d459478a4aca9751db38cbea495fc95 889762 chromium-browser-inspector_5.0.375.86~r49890-1_all.deb
 593b1a9ed6d1f812ace6b0fd94e37f01a789a5bb 11057422 chromium-browser_5.0.375.86~r49890-1_amd64.deb
 3663a794051035f6fcc3011183313003688421eb 143772632 chromium-browser-dbg_5.0.375.86~r49890-1_amd64.deb
Checksums-Sha256: 
 189c6d0076243b008d3d227b6fff3ce4c85af4b40ee4c03e9c17ac239a092da4 2264 chromium-browser_5.0.375.86~r49890-1.dsc
 9bc61d6247c7d05658687d387d7bf12a1a0148549acdc79268fd3e5062e0683b 124919366 chromium-browser_5.0.375.86~r49890.orig.tar.bz2
 eb1cc589ba433afcdc3fba2fc114fa148036b8c733d0a4c5c003b82b246ab19e 209788 chromium-browser_5.0.375.86~r49890-1.debian.tar.gz
 e90ebad8c32dabb8fb24ca5a8c0965d78b1d9eb9d82a7e4a049a115159cc2ba6 1977114 chromium-browser-l10n_5.0.375.86~r49890-1_all.deb
 17ee3776ac181a0e7857e064b751933cb03bc6d62e7b8d424fbe5af2c75920a4 889762 chromium-browser-inspector_5.0.375.86~r49890-1_all.deb
 a998c94ff62318dfcf3517757283dc64ac21e0308b2d98e3d3f100f58598c8f8 11057422 chromium-browser_5.0.375.86~r49890-1_amd64.deb
 305b60ec0d45bad2f646699a5024c368013e545bdbef888c4e0c7dc77101a5af 143772632 chromium-browser-dbg_5.0.375.86~r49890-1_amd64.deb
Files: 
 4dbf6cc9e07292b407b34346423d8eaa 2264 web optional chromium-browser_5.0.375.86~r49890-1.dsc
 03e38868369960f09d2f1e402b13b64d 124919366 web optional chromium-browser_5.0.375.86~r49890.orig.tar.bz2
 a8a1a783e4c29bb4ac783fb79cdd1151 209788 web optional chromium-browser_5.0.375.86~r49890-1.debian.tar.gz
 c5988a74fb14c17505a388b96fbb6a8d 1977114 web optional chromium-browser-l10n_5.0.375.86~r49890-1_all.deb
 0c20f068c646c23f4935187b4d0ddef0 889762 web optional chromium-browser-inspector_5.0.375.86~r49890-1_all.deb
 f5f881cc35ef616af55be1ffdbf1acd5 11057422 web optional chromium-browser_5.0.375.86~r49890-1_amd64.deb
 3b918b4c3966e4afbb80c0893a803f85 143772632 debug extra chromium-browser-dbg_5.0.375.86~r49890-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwkkjMACgkQNxpp46476apFOQCgmqUjc+BL6HX4eK0lR6mP8Tjw
PkAAnRPmpzEKZBDTLpyJb2owVJ714yMs
=xr8S
-----END PGP SIGNATURE-----





Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 25 Jun 2010 11:54:09 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Fri, 25 Jun 2010 11:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 27 Jun 2010 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 580582@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 580582@bugs.debian.org
Subject: Still thinks it is /usr/lib/chromium-browser
Date: Sun, 27 Jun 2010 15:08:48 +0100
[Message part 1 (text/plain, inline)]
found 580582 5.0.375.86~r49890-2
thanks

Hm, this is not sufficient to persuade chromium-browser that it is the
default browser. Setting 'Chromium' in
gnome-default-applications-properties makes chromium start prompting to
make it the default browser again!

If I acceed to chromium's demands, it
sets /desktop/gnome/applications/browser/exec to
'/usr/lib/chromium-browser/chromium-browser', rather than
'/usr/bin/chromium-browser'.

Having set chromium as the default in chromium itself, the bundled copy
of xdg-settings does a weird thing:

        $ /usr/lib/chromium-browser/xdg-settings get default-web-browser; echo $?
        
        0

'xdg-settings check default-web-browser chromium-browser.desktop'
continues to compare /usr/lib/chromium-browser
against /usr/bin/chromium-browser and report 'no'.

-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions chromium-browser/5.0.375.86~r49890-2 and reopened. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 27 Jun 2010 14:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:39:12 GMT) Full text and rfc822 format available.

Message #57 received at 580582@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Sam Morris <sam@robots.org.uk>, 580582@bugs.debian.org
Subject: Re: [Pkg-chromium-maint] Bug#580582: Still thinks it is /usr/lib/chromium-browser
Date: Sun, 27 Jun 2010 16:36:48 +0200
[Message part 1 (text/plain, inline)]
On 06/27/2010 04:08 PM, Sam Morris wrote:
> Hm, this is not sufficient to persuade chromium-browser that it is the
> default browser. Setting 'Chromium' in
> gnome-default-applications-properties makes chromium start prompting to
> make it the default browser again!
> 
> If I acceed to chromium's demands, it
> sets /desktop/gnome/applications/browser/exec to
> '/usr/lib/chromium-browser/chromium-browser', rather than
> '/usr/bin/chromium-browser'.
> 
> Having set chromium as the default in chromium itself, the bundled copy
> of xdg-settings does a weird thing:

damn, I can't reproduce this anymore on my local installation.
Could you paste your "sh -x /usr/lib/chromium-browser/xdg-settings check
default-web-browser chromium-browser.desktop" please?

chromium now sets '/usr/bin/chromium-browser', I have:

$ sh -x /usr/lib/chromium-browser/xdg-settings check default-web-browser
chromium-browser.desktop
+ check_common_commands check default-web-browser chromium-browser.desktop
+ [ 3 -gt 0 ]
+ parm=check
+ shift
+ [ 2 -gt 0 ]
+ parm=default-web-browser
+ shift
+ [ 1 -gt 0 ]
+ parm=chromium-browser.desktop
+ shift
+ [ 0 -gt 0 ]
+ [ -z  ]
+ unset XDG_UTILS_DEBUG_LEVEL
+ [ 0 -lt 1 ]
+ xdg_redirect_output= > /dev/null 2> /dev/null
+ [ xcheck = x--list ]
+ [ xcheck != x ]
+ [ xdefault-web-browser != x ]
+ [ xcheck = xget -o xchromium-browser.desktop != x ]
+ op=check
+ parm=default-web-browser
+ shift 2
+ [ xcheck != xget -a xcheck != xcheck -a xcheck != xset ]
+ detectDE
+ [ x = xtrue ]
+ [ xthis-is-deprecated != x ]
+ DE=gnome
+ dispatch_specific chromium-browser.desktop
+ [ xcheck = xget ]
+ [ xcheck = xcheck ]
+ check_desktop_filename chromium-browser.desktop
+ return
+ check_browser_gnome chromium-browser.desktop
+ desktop_file_to_binary chromium-browser.desktop
+
search=/home/giuseppe/.local/share:/usr/share/gnome:/usr/local/share/:/usr/share/:/usr/share/gdm/
+ basename chromium-browser.desktop
+ desktop=chromium-browser.desktop
+ IFS=:
+ unset IFS
+ [ /home/giuseppe/.local/share -a -d
/home/giuseppe/.local/share/applications ]
+ file=/home/giuseppe/.local/share/applications/chromium-browser.desktop
+ [ -r /home/giuseppe/.local/share/applications/chromium-browser.desktop ]
+ grep -E ^Exec(\[[^]=]*])?=
/home/giuseppe/.local/share/applications/chromium-browser.desktop
+ cut -d= -f 2-
+ first_word
+ read first rest
+ echo /usr/bin/chromium-browser
+ command=/usr/bin/chromium-browser
+ which /usr/bin/chromium-browser
+ command=/usr/bin/chromium-browser
+ readlink -f /usr/bin/chromium-browser
+ return
+ check=/usr/bin/chromium-browser
+ [ -z /usr/bin/chromium-browser ]
+ gconftool-2 --get /desktop/gnome/applications/browser/exec
+ first_word
+ read first rest
+ echo /usr/bin/chromium-browser
+ binary=/usr/bin/chromium-browser
+ [ x/usr/bin/chromium-browser != x/usr/bin/chromium-browser ]
+ gconftool-2 --get /desktop/gnome/url-handlers/http/command
+ first_word
+ read first rest
+ echo /usr/bin/chromium-browser
+ binary=/usr/bin/chromium-browser
+ [ x/usr/bin/chromium-browser != x/usr/bin/chromium-browser ]
+ first_word
+ read first rest
+ gconftool-2 --get /desktop/gnome/url-handlers/https/command
+ echo /usr/bin/chromium-browser
+ binary=/usr/bin/chromium-browser
+ [ x/usr/bin/chromium-browser != x/usr/bin/chromium-browser ]
+ get_browser_mime
+ xdg_mime_fixup
+ [ gnome = kde -a -z  ]
+ xdg-mime query default text/html
+ browser=chromium-browser.desktop
+ desktop_file_to_binary chromium-browser.desktop
+
search=/home/giuseppe/.local/share:/usr/share/gnome:/usr/local/share/:/usr/share/:/usr/share/gdm/
+ basename chromium-browser.desktop
+ desktop=chromium-browser.desktop
+ IFS=:
+ unset IFS
+ [ /home/giuseppe/.local/share -a -d
/home/giuseppe/.local/share/applications ]
+ file=/home/giuseppe/.local/share/applications/chromium-browser.desktop
+ [ -r /home/giuseppe/.local/share/applications/chromium-browser.desktop ]
+ cut -d= -f 2-
+ grep -E ^Exec(\[[^]=]*])?=
/home/giuseppe/.local/share/applications/chromium-browser.desktop
+ first_word
+ read first rest
+ echo /usr/bin/chromium-browser
+ command=/usr/bin/chromium-browser
+ which /usr/bin/chromium-browser
+ command=/usr/bin/chromium-browser
+ readlink -f /usr/bin/chromium-browser
+ return
+ binary=/usr/bin/chromium-browser
+ [ x/usr/bin/chromium-browser != x/usr/bin/chromium-browser ]
+ echo yes
yes
+ exit_success
+ [ 0 -gt 0 ]
+ exit 0


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 27 Jun 2010 15:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 27 Jun 2010 15:27:11 GMT) Full text and rfc822 format available.

Message #62 received at 580582@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 580582@bugs.debian.org, Sam Morris <sam@robots.org.uk>
Subject: Re: [Pkg-chromium-maint] Bug#580582: Bug#580582: Still thinks it is /usr/lib/chromium-browser
Date: Sun, 27 Jun 2010 17:24:46 +0200
[Message part 1 (text/plain, inline)]
On 06/27/2010 04:36 PM, Giuseppe Iuculano wrote:
> damn, I can't reproduce this anymore on my local installation.

Ok, maybe I got the inspiration.

Could you please edit /usr/share/applications/chromium-browser.desktop
and change the Exec line in:

Exec=/usr/bin/chromium-browser %U

and after (from root): update-menus
Please let me know.


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#580582; Package chromium-browser. (Sun, 27 Jun 2010 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 27 Jun 2010 16:12:03 GMT) Full text and rfc822 format available.

Message #67 received at 580582@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 580582@bugs.debian.org
Subject: Re: [Pkg-chromium-maint] Bug#580582: Bug#580582: Still thinks it is /usr/lib/chromium-browser
Date: Sun, 27 Jun 2010 16:55:46 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-06-27 at 17:24 +0200, Giuseppe Iuculano wrote:
> On 06/27/2010 04:36 PM, Giuseppe Iuculano wrote:
> > damn, I can't reproduce this anymore on my local installation.
> 
> Ok, maybe I got the inspiration.
> 
> Could you please edit /usr/share/applications/chromium-browser.desktop
> and change the Exec line in:
> 
> Exec=/usr/bin/chromium-browser %U
> 
> and after (from root): update-menus
> Please let me know.

The result is perfect; changing the preference in either
gnome-default-applications-properties or Chromium results in the other
one agreeing with the choice.

Thanks for discovering the fix for that!

> Cheers,
> Giuseppe.


-- 
Sam Morris <https://robots.org.uk/>
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 08:48:04 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Mon, 28 Jun 2010 16:24:05 GMT) Full text and rfc822 format available.

Notification sent to Andrea De Iacovo <andrea.de.iacovo@gmail.com>:
Bug acknowledged by developer. (Mon, 28 Jun 2010 16:24:05 GMT) Full text and rfc822 format available.

Message #74 received at 580582-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 580582-close@bugs.debian.org
Subject: Bug#580582: fixed in chromium-browser 5.0.375.86~r49890-4
Date: Mon, 28 Jun 2010 16:21:09 +0000
Source: chromium-browser
Source-Version: 5.0.375.86~r49890-4

We believe that the bug you reported is fixed in the latest version of
chromium-browser, which is due to be installed in the Debian FTP archive:

chromium-browser-dbg_5.0.375.86~r49890-4_amd64.deb
  to main/c/chromium-browser/chromium-browser-dbg_5.0.375.86~r49890-4_amd64.deb
chromium-browser-inspector_5.0.375.86~r49890-4_all.deb
  to main/c/chromium-browser/chromium-browser-inspector_5.0.375.86~r49890-4_all.deb
chromium-browser-l10n_5.0.375.86~r49890-4_all.deb
  to main/c/chromium-browser/chromium-browser-l10n_5.0.375.86~r49890-4_all.deb
chromium-browser_5.0.375.86~r49890-4.debian.tar.gz
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-4.debian.tar.gz
chromium-browser_5.0.375.86~r49890-4.dsc
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-4.dsc
chromium-browser_5.0.375.86~r49890-4_amd64.deb
  to main/c/chromium-browser/chromium-browser_5.0.375.86~r49890-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated chromium-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Jun 2010 15:10:05 +0200
Source: chromium-browser
Binary: chromium-browser chromium-browser-dbg chromium-browser-l10n chromium-browser-inspector
Architecture: source all amd64
Version: 5.0.375.86~r49890-4
Distribution: unstable
Urgency: low
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 chromium-browser - Chromium browser
 chromium-browser-dbg - chromium-browser debug symbols
 chromium-browser-inspector - page inspector for the chromium-browser
 chromium-browser-l10n - chromium-browser language packages
Closes: 580582 587389
Changes: 
 chromium-browser (5.0.375.86~r49890-4) unstable; urgency=low
 .
   * Use the full path in chromium-browser.desktop Exec field (Closes: #580582)
   * Remove the 3d patch, non-3d videos are messed up (Closes: 587389)
   * Build depends on libicu-dev (>= 4.2.1) and libevent-dev (>= 1.4.13) to
     avoid bad backports
Checksums-Sha1: 
 3f2c1c26c3029af4a6b7ed995b30ba9af9041187 2251 chromium-browser_5.0.375.86~r49890-4.dsc
 500a924ed0080663df41dbdff14d6fac5d9f2096 226636 chromium-browser_5.0.375.86~r49890-4.debian.tar.gz
 a6737a03d35da59e28e15f22cec0f41b8b55e07c 1976096 chromium-browser-l10n_5.0.375.86~r49890-4_all.deb
 574e6f310904cb9f128041df0bd60b6bbb721799 888868 chromium-browser-inspector_5.0.375.86~r49890-4_all.deb
 1d6753e3fa7ab8f836fadc31344a0471c80106ba 11661222 chromium-browser_5.0.375.86~r49890-4_amd64.deb
 c28231bc2b707000716c79fdc13945f24a111dca 144868570 chromium-browser-dbg_5.0.375.86~r49890-4_amd64.deb
Checksums-Sha256: 
 1b41eafb784d540127af51bac1c973432577f0483881148f596790c59ca373ea 2251 chromium-browser_5.0.375.86~r49890-4.dsc
 bbc922804548dc5af058098f7050615ece3a2a3948d661d62816f3bd95a62a72 226636 chromium-browser_5.0.375.86~r49890-4.debian.tar.gz
 aab6d6eb2fb2d0dac5de14eb7e8865a5ad72b6b6ad84ae0058e076a782919c9a 1976096 chromium-browser-l10n_5.0.375.86~r49890-4_all.deb
 2fca57179bd6dd1de48b9d10a396b62330b5e0a5bbed86f0b4422b2d70e5b75a 888868 chromium-browser-inspector_5.0.375.86~r49890-4_all.deb
 14f0e1129e62eae959d3ca6adfe614d710fbe61d657db7507555cd70c6b956a5 11661222 chromium-browser_5.0.375.86~r49890-4_amd64.deb
 14dd6844a57051b3d6e91999281f650b670e365b036153cb8e6abf3a11e06594 144868570 chromium-browser-dbg_5.0.375.86~r49890-4_amd64.deb
Files: 
 552a42b0cac061ef1ab19443412e8ae5 2251 web optional chromium-browser_5.0.375.86~r49890-4.dsc
 d825f4cb26900018754f0c27ddbb6b7d 226636 web optional chromium-browser_5.0.375.86~r49890-4.debian.tar.gz
 07faa593e5cae58895fdc01a5c079d32 1976096 web optional chromium-browser-l10n_5.0.375.86~r49890-4_all.deb
 c81d842a545ed592d0f0bec64bc49f2a 888868 web optional chromium-browser-inspector_5.0.375.86~r49890-4_all.deb
 63a15b19b4004c054d34599857d4e75f 11661222 web optional chromium-browser_5.0.375.86~r49890-4_amd64.deb
 93402cf502022ef8166037e08b5f14c1 144868570 debug extra chromium-browser-dbg_5.0.375.86~r49890-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwoxGkACgkQNxpp46476aoeCQCfbTopue6okCpsxTbODYOZ0gda
6mwAni8arDT8lIljeRRLgvmVyHofjP4i
=h5Jw
-----END PGP SIGNATURE-----





Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Mon, 28 Jun 2010 16:24:06 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Mon, 28 Jun 2010 16:24:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:37:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:18:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.